﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.ObjectBuilder;
using Microsoft.Practices.CompositeWeb;

namespace SistemaBancario.Cliente.Views
{
    public class ListarClientesPresenter : Presenter<IListarClientes>
    {

        // NOTE: Uncomment the following code if you want ObjectBuilder to inject the module controller
        //
        private ClienteController _controller;
        public ListarClientesPresenter([CreateNew] ClienteController controller)
        {
            _controller = controller;
        }

        public override void OnViewLoaded()
        {
            View.Clientes = _controller.ListarClientes();
        }

        public override void OnViewInitialized()
        {
            // TODO: Implement code that will be executed the first time the view loads
        }        

        public void OnExcluirCliente(Cliente.Entities.ClienteEntity cliente)
        {
            _controller.ExcluirCliente(cliente);
        }

        public void OnAtualizarCliente(Cliente.Entities.ClienteEntity cliente)
        {
            _controller.AtualizarCliente(cliente);
        }
    }
}




