﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SistemaBancario.Cliente.Entities
{
    [Serializable]
    public class ClienteEntity
    {
        public ClienteEntity()
        {
        }

        public ClienteEntity(string nome, string cpf)
        {
            this.nome = nome;
            this.cpf = cpf;
        }

        public ClienteEntity(int id, string nome, string cpf):this(nome, cpf)
        {
            this.id = id;            
        }

        private int id;

        public int Id
        {
            get { return id; }
            set { id = value; }
        }
        private string cpf;

        public string Cpf
        {
            get { return cpf; }
            set { cpf = value; }
        }
        private string nome;

        public string Nome
        {
            get { return nome; }
            set { nome = value; }
        }

        public override bool Equals(object obj)
        {
            return obj is ClienteEntity && ((ClienteEntity)obj).id == this.id;            
        }

        public override int GetHashCode()
        {
            return id;
        }
    }
}
