﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.ObjectBuilder;
using Microsoft.Practices.CompositeWeb;

namespace SistemaBancario.Cliente.Views
{
    public class ConfirmacaoCadastroPresenter : Presenter<IConfirmacaoCadastro>
    {
        private ClienteController _controller;
        public ConfirmacaoCadastroPresenter([CreateNew] ClienteController controller)
        {
            _controller = controller;
        }

        public override void OnViewLoaded()
        {
            View.CpfCliente = _controller.ClienteAtual.Cpf;
            View.NomeCliente = _controller.ClienteAtual.Nome;
        }

        public override void OnViewInitialized()
        {
            // TODO: Implement code that will be executed the first time the view loads
        }

        public void OnConfirmarCadastro()
        {
            _controller.ConfirmarCadastroCliente();
        }

        public void OnCorrigirCadastro()
        {
            _controller.CorrigirCadastroCliente();
        }

    }
}




